const s = require("fs").readFileSync(0, "utf8").toString().trim();
let arr = new Array(26).fill(-1);
for(let i=0; i<s.length; i++){
    if(arr[s[i].charCodeAt()-97]==-1){
        arr[s[i].charCodeAt()-97] = i;
    }
}
console.log(...arr);